.file-field {
    cursor: pointer;
    border-radius: 5px;
    white-space: nowrap;
    font-size: rem(16);
    line-height: rem(17);
    max-width: 100%;
    font-weight: 400;
    padding: rem(4) rem(12);
    overflow: hidden;
    position: relative;
    display: flex;
    height: rem(56);
    align-items: center;
    fill: var(--green);
    color: var(--green);
    text-decoration: none;
    background: #F3F4F8;
    column-gap: rem(10);

    &:hover {
        fill: var(--green);
        color: var(--green);
        text-decoration: none;
    }

    input {
        top: 0;
        left: 0;
        width: 1px;
        height: 1px;
        opacity: 0;
        display: block;
        overflow: hidden;
        position: absolute;
    }

    &__icon {
        font-size: 0;
        line-height: 0;
        height: rem(24);
        flex-shrink: 0;
    }

    &__name {
        border-bottom: 1px dashed var(--green-1);
    }
}
